This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 865601 - yum loops indefinitely when it cannot create pid file
yum loops indefinitely when it cannot create pid file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 17:18 EDT by David Kutálek
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 16:49:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2012-10-11 17:18:59 EDT
Description of problem:

cannot ceate yum.pid file (some issue with /var on my system) and keep looping, waiting for itself - see pids below:

# yum upgrade & fg
[1] 8202
yum upgrade
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Unable to read consumer identity
Could not create lock at /var/run/yum.pid: [Errno 22] Invalid argument: '/var/run/yum.pid' 
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory :  21 M RSS (320 MB VSZ)
    Started: Thu Oct 11 23:13:21 2012 - 00:01 ago
    State  : Running, pid: 8202
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory :  21 M RSS (320 MB VSZ)
    Started: Thu Oct 11 23:13:21 2012 - 00:03 ago
    State  : Running, pid: 8202
^C

Same for yum-builddep:

# /usr/bin/yum-builddep -y hsqldb-1.8.0.10-9.el6.src.rpm -v -v -v &  fg
[1] 8094
/usr/bin/yum-builddep -y hsqldb-1.8.0.10-9.el6.src.rpm -v -v -v
Not loading "rhnplugin" plugin, as it is disabled
Not loading "blacklist" plugin, as it is disabled
Loading "product-id" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Config time: 0.049
Could not create lock at /var/run/yum.pid: [Errno 22] Invalid argument: '/var/run/yum.pid' 
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum-builddep
    Memory :  21 M RSS (320 MB VSZ)
    Started: Thu Oct 11 23:06:03 2012 - 00:01 ago
    State  : Running, pid: 8094
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum-builddep
    Memory :  21 M RSS (320 MB VSZ)
    Started: Thu Oct 11 23:06:03 2012 - 00:03 ago
    State  : Running, pid: 8094
^C

I have some problem with file creation in /var - some other issue to be investigated, but anyway yum-builddep should behave better in such situation.

Version-Release number of selected component (if applicable):

yum-3.2.29-30.el6.noarch
yum-utils-1.1.30-14.el6.noarch

How reproducible:

Always on my system with (somehow) broken /var file creation

Steps to Reproduce:
1. see above, try to simulate '[Errno 22] Invalid argument' for pid creation
2. may be worth trying also other similar conditions...
3.
  
Actual results:

yum / yum-builddep is looping waiting for itself

Expected results:

yum should work somehow or more probably just end with some sane error because of pid file problems

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-14 03:12:36 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 James Antill 2013-04-15 16:49:32 EDT
 We did a lot of changes in this area, and at this point in RHEL-6 we probably don't want to backport all of them. It should work in RHEL-7, but given this is an edge case and how many other edge cases (and not so edge cases) had to be navigated I can't see this getting fixed before then.

Note You need to log in before you can comment on or make changes to this bug.